com.threerings.puzzle.drop.data

## Interface DropBoard.PieceOperation

Enclosing class:
  DropBoard

    public static interface DropBoard.PieceOperation

An interface to be implemented by classes that would like to apply some operation to each piece in a column or row segment in the board.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `execute(DropBoard board, int col, int row)` Called for each piece in the board segment the operation is being applied to.

### Method Detail

#### execute

    boolean execute(DropBoard board,
                    int col,
                    int row)

Called for each piece in the board segment the operation is being applied to.

Returns:
  true if the operation should continue to be applied if being applied to multiple pieces, or false if it should terminate after this application.